Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

say goodbye jeweler. Closes GH-26

  • Loading branch information...
commit f165ccaf328bf98d6d238c54929f34fe49ee64b4 1 parent 77de9c9
@rodolfoliviero rodolfoliviero authored
View
19 Gemfile
@@ -1,17 +1,2 @@
-source :rubygems
-
-gem "thor", "0.14.6"
-gem "rake", "0.8.7"
-gem "activesupport", "3.0.1"
-
-gem "ruby-debug", :group => [:development, :test]
-
-group :development do
- gem "jeweler", "1.4.0"
-end
-
-group :test do
- gem "ZenTest", "4.4.0"
- gem "rspec", "1.3.1", :require => "spec"
- gem "rcov", "0.9.9"
-end
+source "http://rubygems.org"
+gemspec
View
18 Gemfile.lock
@@ -1,16 +1,16 @@
+PATH
+ remote: .
+ specs:
+ vraptor-scaffold (0.0.1)
+ activesupport (= 3.0.1)
+ thor (= 0.14.6)
+
GEM
remote: http://rubygems.org/
specs:
ZenTest (4.4.0)
activesupport (3.0.1)
columnize (0.3.2)
- gemcutter (0.6.1)
- git (1.2.5)
- jeweler (1.4.0)
- gemcutter (>= 0.1.0)
- git (>= 1.2.5)
- rubyforge (>= 2.0.0)
- json_pure (1.4.6)
linecache (0.43)
rake (0.8.7)
rcov (0.9.9)
@@ -20,8 +20,6 @@ GEM
ruby-debug-base (~> 0.10.4.0)
ruby-debug-base (0.10.4)
linecache (>= 0.3)
- rubyforge (2.0.4)
- json_pure (>= 1.1.7)
thor (0.14.6)
PLATFORMS
@@ -30,9 +28,9 @@ PLATFORMS
DEPENDENCIES
ZenTest (= 4.4.0)
activesupport (= 3.0.1)
- jeweler (= 1.4.0)
rake (= 0.8.7)
rcov (= 0.9.9)
rspec (= 1.3.1)
ruby-debug
thor (= 0.14.6)
+ vraptor-scaffold!
View
26 Rakefile
@@ -1,24 +1,5 @@
-require 'rubygems'
-require 'rake'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "vraptor-scaffold"
- gem.summary = "VRaptor Scaffold."
- gem.description = "VRaptor scaffold extension to make it easier configuring new projects and plugins."
- gem.email = "rodolfoliviero@gmail.com"
- gem.homepage = "http://github.com/caelum/vraptor-scaffold"
- gem.authors = ["Rodolfo Liviero"]
- gem.add_dependency "thor", "0.14.6"
- gem.add_dependency "rake", "0.8.7"
- gem.add_dependency "activesupport", "3.0.1"
- gem.post_install_message = "Thank you for installing vraptor-scaffold. Please read http://github.com/caelum/vraptor-scaffold/blob/master/README.textile for more information."
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
-end
+require 'bundler'
+Bundler::GemHelper.install_tasks
require 'spec/rake/spectask'
Spec::Rake::SpecTask.new(:spec) do |spec|
@@ -34,7 +15,7 @@ end
require 'rake/rdoctask'
Rake::RDocTask.new do |rdoc|
- version = File.exist?('VERSION') ? File.read('VERSION') : ""
+ version = VraptorScaffold::VERSION
rdoc.rdoc_dir = 'rdoc'
rdoc.title = "vraptor-scaffold #{version}"
@@ -42,5 +23,4 @@ Rake::RDocTask.new do |rdoc|
rdoc.rdoc_files.include('lib/**/*.rb')
end
-task :spec => :check_dependencies
task :default => [:spec]
View
5 VERSION.yml
@@ -1,5 +0,0 @@
----
-:minor: 1
-:patch: 0
-:build:
-:major: 1
View
3  lib/vraptor-scaffold/version.rb
@@ -0,0 +1,3 @@
+module VraptorScaffold
+ VERSION = "1.1.0.pre"
+end
View
195 vraptor-scaffold.gemspec
@@ -1,178 +1,29 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "vraptor-scaffold/version"
Gem::Specification.new do |s|
- s.name = %q{vraptor-scaffold}
- s.version = "1.0.0"
+ s.name = "vraptor-scaffold"
+ s.version = VraptorScaffold::VERSION
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Rodolfo Liviero"]
+ s.email = "rodolfoliviero@gmail.com"
+ s.homepage = "http://github.com/caelum/vraptor-scaffold"
+ s.summary = "VRaptor Scaffold."
+ s.description = "VRaptor scaffold extension to make it easier configuring new projects and plugins."
+ s.post_install_message = "Thank you for installing vraptor-scaffold. Please read http://github.com/caelum/vraptor-scaffold/blob/master/README.textile for more information."
+
+ s.add_dependency('thor', '0.14.6')
+ s.add_dependency('activesupport', "3.0.1")
+
+ s.add_development_dependency('rspec', '1.3.1')
+ s.add_development_dependency('ZenTest', '4.4.0')
+ s.add_development_dependency('rcov', '0.9.9')
+ s.add_development_dependency('ruby-debug')
+ s.add_development_dependency('rake', '0.8.7')
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Rodolfo Liviero"]
- s.date = %q{2011-02-04}
- s.default_executable = %q{vraptor}
- s.description = %q{VRaptor scaffold extension to make it easier configuring new projects and plugins.}
- s.email = %q{rodolfoliviero@gmail.com}
- s.executables = ["vraptor"]
- s.extra_rdoc_files = [
- "LICENSE",
- "README.textile"
- ]
- s.files = [
- ".document",
- ".gitignore",
- "Gemfile",
- "Gemfile.lock",
- "History.txt",
- "LICENSE",
- "README.textile",
- "Rakefile",
- "VERSION.yml",
- "bin/vraptor",
- "lib/configuration.rb",
- "lib/generators/app_generator/app_generator.rb",
- "lib/generators/app_generator/dependency.rb",
- "lib/generators/app_generator/dependency_manager.rb",
- "lib/generators/app_generator/freemarker_template_engine.rb",
- "lib/generators/app_generator/jsp_template_engine.rb",
- "lib/generators/app_generator/templates/build.gradle.erb",
- "lib/generators/app_generator/templates/build.properties.erb",
- "lib/generators/app_generator/templates/build.xml",
- "lib/generators/app_generator/templates/decorators.erb",
- "lib/generators/app_generator/templates/eclipse/classpath.erb",
- "lib/generators/app_generator/templates/eclipse/project.erb",
- "lib/generators/app_generator/templates/eclipse/settings/org.eclipse.jdt.core.prefs",
- "lib/generators/app_generator/templates/eclipse/settings/org.eclipse.wst.common.component.tt",
- "lib/generators/app_generator/templates/eclipse/settings/org.eclipse.wst.common.project.facet.core.xml",
- "lib/generators/app_generator/templates/eclipse/settings/org.eclipse.wst.jsdt.ui.superType.container",
- "lib/generators/app_generator/templates/eclipse/settings/org.eclipse.wst.jsdt.ui.superType.name",
- "lib/generators/app_generator/templates/freemarker/freemarker-web.xml",
- "lib/generators/app_generator/templates/freemarker/infrastructure/FreemarkerPathResolver.java.tt",
- "lib/generators/app_generator/templates/freemarker/macros/html.ftl",
- "lib/generators/app_generator/templates/freemarker/main.ftl",
- "lib/generators/app_generator/templates/ivy-2.2.0.jar",
- "lib/generators/app_generator/templates/ivy.erb",
- "lib/generators/app_generator/templates/jsp/main.jsp",
- "lib/generators/app_generator/templates/pom.erb",
- "lib/generators/app_generator/templates/resources-test/.empty_directory",
- "lib/generators/app_generator/templates/resources/META-INF/persistence.xml",
- "lib/generators/app_generator/templates/resources/log4j.properties",
- "lib/generators/app_generator/templates/resources/messages.properties",
- "lib/generators/app_generator/templates/src-test/controllers/.empty_directory",
- "lib/generators/app_generator/templates/src-test/models/.empty_directory",
- "lib/generators/app_generator/templates/src-test/repositories/.empty_directory",
- "lib/generators/app_generator/templates/src/controllers/.empty_directory",
- "lib/generators/app_generator/templates/src/models/Entity.java.tt",
- "lib/generators/app_generator/templates/src/repositories/Repository.java.tt",
- "lib/generators/app_generator/templates/vraptor-scaffold.erb",
- "lib/generators/app_generator/templates/webapp/WEB-INF/web.xml",
- "lib/generators/app_generator/templates/webapp/images/.empty_directory",
- "lib/generators/app_generator/templates/webapp/index.jsp",
- "lib/generators/app_generator/templates/webapp/javascripts/jquery.min.js",
- "lib/generators/app_generator/templates/webapp/stylesheets/scaffold.css",
- "lib/generators/base.rb",
- "lib/generators/scaffold_generator/attribute.rb",
- "lib/generators/scaffold_generator/base_scaffold.rb",
- "lib/generators/scaffold_generator/controller_generator/controller_generator.rb",
- "lib/generators/scaffold_generator/controller_generator/templates/controller.erb",
- "lib/generators/scaffold_generator/controller_generator/templates/controller_test.erb",
- "lib/generators/scaffold_generator/freemarker_generator/freemarker_generator.rb",
- "lib/generators/scaffold_generator/freemarker_generator/templates/edit.erb",
- "lib/generators/scaffold_generator/freemarker_generator/templates/form.erb",
- "lib/generators/scaffold_generator/freemarker_generator/templates/index.erb",
- "lib/generators/scaffold_generator/freemarker_generator/templates/new.erb",
- "lib/generators/scaffold_generator/freemarker_generator/templates/show.erb",
- "lib/generators/scaffold_generator/jsp_generator/jsp_generator.rb",
- "lib/generators/scaffold_generator/jsp_generator/templates/edit.erb",
- "lib/generators/scaffold_generator/jsp_generator/templates/form.erb",
- "lib/generators/scaffold_generator/jsp_generator/templates/index.erb",
- "lib/generators/scaffold_generator/jsp_generator/templates/new.erb",
- "lib/generators/scaffold_generator/jsp_generator/templates/show.erb",
- "lib/generators/scaffold_generator/model_generator/model_generator.rb",
- "lib/generators/scaffold_generator/model_generator/templates/model.erb",
- "lib/generators/scaffold_generator/model_generator/templates/model_test.erb",
- "lib/generators/scaffold_generator/repository_generator/repository_generator.rb",
- "lib/generators/scaffold_generator/repository_generator/templates/repository.erb",
- "lib/generators/scaffold_generator/repository_generator/templates/repository_impl.erb",
- "lib/generators/scaffold_generator/repository_generator/templates/repository_test.erb",
- "lib/generators/scaffold_generator/scaffold_generator.rb",
- "lib/load_paths.rb",
- "lib/vraptor-scaffold.rb",
- "spec/lib/configuration_spec.rb",
- "spec/lib/generators/app_generator/app_generator_spec.rb",
- "spec/lib/generators/app_generator/dependency_manager_spec.rb",
- "spec/lib/generators/app_generator/dependency_spec.rb",
- "spec/lib/generators/app_generator/freemarker_template_engine_spec.rb",
- "spec/lib/generators/app_generator/jsp_template_engine_spec.rb",
- "spec/lib/generators/app_generator/templates/Entity.java",
- "spec/lib/generators/app_generator/templates/FreemarkerPathResolver.java",
- "spec/lib/generators/app_generator/templates/Repository.java",
- "spec/lib/generators/app_generator/templates/build.gradle",
- "spec/lib/generators/app_generator/templates/build.properties",
- "spec/lib/generators/app_generator/templates/decorators-jsp.xml",
- "spec/lib/generators/app_generator/templates/decorators.xml",
- "spec/lib/generators/app_generator/templates/ivy.xml",
- "spec/lib/generators/app_generator/templates/pom.xml",
- "spec/lib/generators/scaffold_generator/attribute_spec.rb",
- "spec/lib/generators/scaffold_generator/base_scaffold_spec.rb",
- "spec/lib/generators/scaffold_generator/controller_generator/controller_generator_spec.rb",
- "spec/lib/generators/scaffold_generator/controller_generator/templates/ProductController.java",
- "spec/lib/generators/scaffold_generator/freemarker_generator/freemarker_generator_spec.rb",
- "spec/lib/generators/scaffold_generator/jsp_generator/jsp_generator_spec.rb",
- "spec/lib/generators/scaffold_generator/model_generator/model_generator_spec.rb",
- "spec/lib/generators/scaffold_generator/model_generator/templates/Product.java",
- "spec/lib/generators/scaffold_generator/repository_generator/repository_generator_spec.rb",
- "spec/lib/generators/scaffold_generator/repository_generator/templates/ProductRepository.java",
- "spec/lib/generators/scaffold_generator/repository_generator/templates/ProductRepositoryImpl.java",
- "spec/lib/generators/scaffold_generator/scaffold_generator_spec.rb",
- "spec/lib/vraptor-scaffold_spec.rb",
- "spec/resources/vraptor-scaffold.properties",
- "spec/spec.opts",
- "spec/spec_helper.rb",
- "vraptor-scaffold.gemspec"
- ]
- s.homepage = %q{http://github.com/caelum/vraptor-scaffold}
- s.post_install_message = %q{Thank you for installing vraptor-scaffold. Please read http://github.com/caelum/vraptor-scaffold/blob/master/README.textile for more information.}
- s.rdoc_options = ["--charset=UTF-8"]
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{VRaptor Scaffold.}
- s.test_files = [
- "spec/spec_helper.rb",
- "spec/lib/vraptor-scaffold_spec.rb",
- "spec/lib/generators/app_generator/app_generator_spec.rb",
- "spec/lib/generators/app_generator/dependency_manager_spec.rb",
- "spec/lib/generators/app_generator/freemarker_template_engine_spec.rb",
- "spec/lib/generators/app_generator/jsp_template_engine_spec.rb",
- "spec/lib/generators/app_generator/dependency_spec.rb",
- "spec/lib/generators/scaffold_generator/model_generator/model_generator_spec.rb",
- "spec/lib/generators/scaffold_generator/freemarker_generator/freemarker_generator_spec.rb",
- "spec/lib/generators/scaffold_generator/repository_generator/repository_generator_spec.rb",
- "spec/lib/generators/scaffold_generator/attribute_spec.rb",
- "spec/lib/generators/scaffold_generator/base_scaffold_spec.rb",
- "spec/lib/generators/scaffold_generator/jsp_generator/jsp_generator_spec.rb",
- "spec/lib/generators/scaffold_generator/scaffold_generator_spec.rb",
- "spec/lib/generators/scaffold_generator/controller_generator/controller_generator_spec.rb",
- "spec/lib/configuration_spec.rb"
- ]
-
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
-
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<thor>, ["= 0.14.6"])
- s.add_runtime_dependency(%q<rake>, ["= 0.8.7"])
- s.add_runtime_dependency(%q<activesupport>, ["= 3.0.1"])
- else
- s.add_dependency(%q<thor>, ["= 0.14.6"])
- s.add_dependency(%q<rake>, ["= 0.8.7"])
- s.add_dependency(%q<activesupport>, ["= 3.0.1"])
- end
- else
- s.add_dependency(%q<thor>, ["= 0.14.6"])
- s.add_dependency(%q<rake>, ["= 0.8.7"])
- s.add_dependency(%q<activesupport>, ["= 3.0.1"])
- end
end
-
Please sign in to comment.
Something went wrong with that request. Please try again.